Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class FilterDef

    java.lang.Object
      |
      +--org.apache.catalina.deploy.FilterDef

public final class FilterDef
extends java.lang.Object

Representation of a filter definition for a web application, as represented in a `<filter>` element in the deployment descriptor.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:10 $
Author:
  Craig R. McClanahan

Constructor Summary
`FilterDef()`

Method Summary
`void` | `addInitParameter(java.lang.String name, java.lang.String value)` Add an initialization parameter to the set of parameters associated with this filter.
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getFilterClass()`
`java.lang.String` | `getFilterName()`
`java.lang.String` | `getLargeIcon()`
`java.util.Map` | `getParameterMap()`
`java.lang.String` | `getSmallIcon()`
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setFilterClass(java.lang.String filterClass)`
`void` | `setFilterName(java.lang.String filterName)`
`void` | `setLargeIcon(java.lang.String largeIcon)`
`void` | `setSmallIcon(java.lang.String smallIcon)`
`java.lang.String` | `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterDef

    public FilterDef()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getFilterClass

    public java.lang.String getFilterClass()

### setFilterClass

    public void setFilterClass(java.lang.String filterClass)

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getLargeIcon

    public java.lang.String getLargeIcon()

### setLargeIcon

    public void setLargeIcon(java.lang.String largeIcon)

### getParameterMap

    public java.util.Map getParameterMap()

### getSmallIcon

    public java.lang.String getSmallIcon()

### setSmallIcon

    public void setSmallIcon(java.lang.String smallIcon)

### addInitParameter

    public void addInitParameter(java.lang.String name,
                                 java.lang.String value)

  Add an initialization parameter to the set of parameters associated with this filter.
  Parameters:
    `name` - The initialization parameter name
    `value` - The initialization parameter value

### toString

    public java.lang.String toString()

  Render a String representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.